<!--
Licensed to the Apache Software Foundation (ASF) under one
or more contributor license agreements. See the NOTICE file
distributed with this work for additional information
regarding copyright ownership. The ASF licenses this file
to you under the Apache License, Version 2.0 (the
"License"); you may not use this file except in compliance
with the License. You may obtain a copy of the License at

http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing,
software distributed under the License is distributed on an
"AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, either express or implied. See the License for the
specific language governing permissions and limitations
under the License.
-->
<%
    // index.jsp - Edit customer information on this page
%>

<%@ page import="java.util.List" %>
<%@ page import="com.service.customer.ejb.CustomerInfo" %>

<jsp:useBean id="serviceBean" scope="session" class="com.service.customer.web.CustomerServiceJavaBean"/>
<jsp:setProperty name="serviceBean" property="*"/>

<HTML>
<%! CustomerInfo customer = null; %>
<%! String message = null; %>
<%! List<CustomerInfo> customerList = null; %>

<% message = ""; %>
<% customerList = serviceBean.getAllCustomers(); %>

<HEAD>
    <TITLE>Customer Service - JNDI Series</TITLE>
</HEAD>

<BODY bgcolor="white">
<CENTER>
    <H1>Customer Processing Page</H1>
</CENTER>

<% if ((customerList == null) || (customerList.size() == 0)) { %>
<% message = "No Customers Available"; %>
<% } // end if %>

<!-- Display status message here -->
<H2><%= message %>
</H2>

<TABLE border="0">
    <TR>
        <TD align="left">
            Customer ID
        </TD>

        <TD align="left">
            Full Name
        </TD>

        <TD align="left">
            Email Address
        </TD>

        <TD align="left">
            Interests
        </TD>
    </TR>

    <% if (customerList != null) { %>
    <% for (int x = 0; x < customerList.size(); x++) { %>
    <TR>
        <% customer = (CustomerInfo) customerList.get(x); %>

        <TD align="left">
            <INPUT type="radio" name="customerID" value="<%= customer.getCustomerId() %>">
            <%= customer.getCustomerId() %>
        </TD>

        <TD align="left">
            <INPUT type="hidden" name="fullName" value="<%= customer.getFullName() %>">
            <%= customer.getFullName() %>
        </TD>

        <TD align="left">
            <INPUT type="hidden" name="emailAddress" value="<%= customer.getEmailAddress() %>">
            <%= customer.getEmailAddress() %>
        </TD>

        <TD align="left">
            <INPUT type="hidden" name="interests" value="<%= customer.getInterests() %>">
            <%= customer.getInterests() %>
        </TD>
    </TR>
    <% } // end for %>
    <% } // end if %>
</TABLE>
</BODY>
</HTML>
